# Get device key

Retrieves a specific device key. For example, this can be used to verify that the device key exists and is active. <br><br>**Required permissions**: `apps:read`, `[appId]:read`, `devices:read`.

Endpoint: GET /v1/users/{user_id}/device-keys/{key_id}
Security: ClientAccessToken

## Path parameters:

  - `user_id` (string, required)
    ID of the user

  - `key_id` (string, required)
    An identifier for the user's device

## Response 200 fields (application/json):

  - `result` (object, required)

  - `result.status` (string, required)
    Enum: "Active", "Blocked", "Suspended"

  - `result.display_name` (string)
    Friendly device name, used when displaying a list of the user's devices

  - `result.custom_data` (object)
    Custom data stored for this device, such as tags or device data obtained using other tools

  - `result.push_config` (object)
    Device push notification configuration

  - `result.push_config.device_token` (string, required)
    Device token for push notifications (FCM registration token or APN device token)

  - `result.push_config.type` (string, required)
    Type of push notification
    Enum: "FCM", "APN"

  - `result.push_config.bundle_id` (string)
    Bundle identifier, used for push notifications

  - `result.key_id` (string)
    Identifier of the user's device

  - `result.created_at` (string, required)
    Date the device key was added

  - `result.updated_at` (string, required)
    Date the device key metadata was last updated

  - `result.device_id` (string)
    ID of the device associated with this key

